Index: trunk/phpgwapi/templates/classic/help.tpl
===================================================================
--- trunk/phpgwapi/templates/classic/help.tpl	(revision 1860)
+++ trunk/phpgwapi/templates/classic/help.tpl	(revision 1860)
@@ -0,0 +1,11 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<HTML>
+<!-- BEGIN login_form -->
+<HEAD>
+<TITLE>{website_title}</TITLE>
+<BODY>
+<div id="conteudo">
+{login_help}
+</div>
+</BODY>
+</HTML>
Index: trunk/phpgwapi/templates/classic/login_classic.php
===================================================================
--- trunk/phpgwapi/templates/classic/login_classic.php	(revision 1717)
+++ trunk/phpgwapi/templates/classic/login_classic.php	(revision 1860)
@@ -333,4 +333,10 @@
 	$tmpl->set_var('website_title', $GLOBALS['phpgw_info']['server']['site_title']);
 	$tmpl->set_var('template_set',$GLOBALS['phpgw_info']['login_template_set']);
+	$GLOBALS['phpgw']->translation->add_app('loginhelp',$_GET['lang']);		
+	if(lang('loginhelp_message') != 'loginhelp_message*' && trim(lang('loginhelp_message')) != ""){					
+		$tmpl->set_var('lang_help',lang("Help"));	
+	}
+	else 
+		$tmpl->set_var('display_help','none');
 	$tmpl->set_var('bg_color',($GLOBALS['phpgw_info']['server']['login_bg_color']?$GLOBALS['phpgw_info']['server']['login_bg_color']:'FFFFFF'));
 	$tmpl->set_var('bg_color_title',($GLOBALS['phpgw_info']['server']['login_bg_color_title']?$GLOBALS['phpgw_info']['server']['login_bg_color_title']:'486591'));
Index: trunk/phpgwapi/templates/classic/login.tpl
===================================================================
--- trunk/phpgwapi/templates/classic/login.tpl	(revision 1742)
+++ trunk/phpgwapi/templates/classic/login.tpl	(revision 1860)
@@ -8,5 +8,5 @@
 <META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
 <META NAME="keywords" CONTENT="{website_title} login screen, eGroupWare, groupware, groupware suite">
-<link href="phpgwapi/templates/celepar/login.css" rel="stylesheet" type="text/css">
+<link href="phpgwapi/templates/{template}/login.css" rel="stylesheet" type="text/css">
 <TITLE>{website_title} - {lang_login}</TITLE>
 <script language="Javascript">
@@ -75,5 +75,5 @@
 					    <tr><td width="96" class="loginLabel" align="right">{lang_username}:&nbsp;</td>
 						<td width="96"><input name="user" size="15"></td>
-						<td width="43" rowspan="3" colspan=2><img src="phpgwapi/templates/celepar/images/icon_login.gif" width="43" height="64"></td>
+						<td width="43" rowspan="3" colspan=2><img src="phpgwapi/templates/{template}/images/icon_login.gif" width="43" height="64"></td>
 					  </tr>
 					  <tr>
@@ -89,7 +89,9 @@
 						</tr>
 					  <tr>	
-				  		<td width="66">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-				  			<!--a href="#" title="Clique aqui para ajuda" alt="Clique aqui para ajuda" onmouseover="javascript:self.status='Ajuda do Expresso Livre'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(480,510,'help')">
-				  				<font size="-1"> Ajuda</font></a--></td>
+				  		<td width="66">
+			  				<div style="margin-left:10px;display:{display_help}">
+			  					<a title="{lang_help}" target="help" href="./help.php?lang={lang}"><font size="-1">{lang_help}</font></a>
+			  				</div>
+          				</td>
 						<td width="135">&nbsp;</td>
 						<td>&nbsp;</td>		
@@ -103,9 +105,9 @@
       </div>
       </td>		
-    <td valign="bottom" bgcolor="#e8eef7"><div align="left"><img src="phpgwapi/templates/celepar/images/logo_expresso_1.gif" alt=""></div></td>
+    <td valign="bottom" bgcolor="#e8eef7"><div align="left"><img src="phpgwapi/templates/{template}/images/logo_expresso_1.gif" alt=""></div></td>
 	</tr>
 	<tr>		
-    <td background="phpgwapi/templates/celepar/images/logo_expresso_4.gif"><div align="right"><img src="phpgwapi/templates/celepar/images/logo_expresso_3.gif" alt="" height="46" width="485"></div></td>		
-    <td background="phpgwapi/templates/celepar/images/logo_expresso_5.gif"><div align="left"><img src="phpgwapi/templates/celepar/images/logo_expresso_2.gif" alt="" height="46" width="285"></div></td>
+    <td background="phpgwapi/templates/{template}/images/logo_expresso_4.gif"><div align="right"><img src="phpgwapi/templates/{template}/images/logo_expresso_3.gif" alt="" height="46" width="485"></div></td>		
+    <td background="phpgwapi/templates/{template}/images/logo_expresso_5.gif"><div align="left"><img src="phpgwapi/templates/{template}/images/logo_expresso_2.gif" alt="" height="46" width="285"></div></td>
 	</tr>	
 	<tr>	
Index: trunk/phpgwapi/templates/default/help.tpl
===================================================================
--- trunk/phpgwapi/templates/default/help.tpl	(revision 1151)
+++ trunk/phpgwapi/templates/default/help.tpl	(revision 1860)
@@ -3,11 +3,5 @@
 <!-- BEGIN login_form -->
 <HEAD>
-<META http-equiv="Content-Type" content="text/html; charset={charset}">
-<META name="AUTHOR" content="dGroupWare http://www.eGroupWare.org">
-<META NAME="description" CONTENT="{website_title} login screen, working environment powered by eGroupWare">
-<META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
-<META NAME="keywords" CONTENT="{website_title} login screen, eGroupWare, groupware, groupware suite">
-<link href="./login.css" rel="stylesheet" type="text/css">
-<TITLE>{website_title} - {lang_login}</TITLE>
+<TITLE>{website_title}</TITLE>
 <BODY>
 <div id="conteudo">
Index: trunk/phpgwapi/templates/default/login.css
===================================================================
--- trunk/phpgwapi/templates/default/login.css	(revision 1151)
+++ trunk/phpgwapi/templates/default/login.css	(revision 1860)
@@ -113,11 +113,13 @@
 .ajuda {
 	text-align:left;
-	padding-top: 15px;
-	margin-left:50px;
+	padding-left:11px;
+	padding-top:9px;
 }
 .ajuda a {
         font-family:  Arial, Verdana,Helvetica, sans-serif;
         font-size:11px;
-        color: #FFF;
+        color: #FFF !important;
+        margin-top:10px;
+        margin-left:11px;
         font-weight:bold;
         text-decoration:none;
Index: trunk/phpgwapi/templates/default/login_default.php
===================================================================
--- trunk/phpgwapi/templates/default/login_default.php	(revision 1734)
+++ trunk/phpgwapi/templates/default/login_default.php	(revision 1860)
@@ -344,4 +344,12 @@
 	$tmpl->set_var('website_title', $GLOBALS['phpgw_info']['server']['site_title']);
 	$tmpl->set_var('template_set',$GLOBALS['phpgw_info']['login_template_set']);
+
+	$GLOBALS['phpgw']->translation->add_app('loginhelp',$_GET['lang']);		
+	if(lang('loginhelp_message') != 'loginhelp_message*' && trim(lang('loginhelp_message')) != ""){					
+		$tmpl->set_var('lang_help',lang("Help"));	
+	}
+	else 
+		$tmpl->set_var('display_help','none');
+
 	$tmpl->set_var('bg_color',($GLOBALS['phpgw_info']['server']['login_bg_color']?$GLOBALS['phpgw_info']['server']['login_bg_color']:'FFFFFF'));
 	$tmpl->set_var('bg_color_title',($GLOBALS['phpgw_info']['server']['login_bg_color_title']?$GLOBALS['phpgw_info']['server']['login_bg_color_title']:'486591'));
Index: trunk/phpgwapi/templates/default/login.tpl
===================================================================
--- trunk/phpgwapi/templates/default/login.tpl	(revision 1713)
+++ trunk/phpgwapi/templates/default/login.tpl	(revision 1860)
@@ -46,5 +46,4 @@
 </HEAD>
 <body scroll="no"  style="overflow:hidden" onLoad="javascript:getLogin()" bgcolor="#ffffff">
-<form name="flogin" method="post" action="{login_url}" {autocomplete}>
 <div id="conteudo">
 <div style="position: absolute; top:0px; right: 10px;"><span class="login_label">{lang_language}&nbsp;&nbsp;</span>{select_language}</div>
@@ -54,5 +53,5 @@
 		<div id="login">
       <div align="center">
-
+<form name="flogin" method="post" action="{login_url}" {autocomplete}>
 <input type="hidden" name="passwd_type" value="text">
 <input type="hidden" name="account type" value="u">
@@ -84,5 +83,5 @@
           </div>
           <div id="rodape_login">
-	    <div class="ajuda"><a target="help" href="./phpgwapi/templates/{template}/help.php?lang={lang}">Ajuda</a></div>
+	    	<div class="ajuda" style="display:{display_help}"><img align='center' src="./phpgwapi/templates/{template}/images/help.png"/><a title="{lang_help}" target="help" href="./help.php?lang={lang}">{lang_help}</a></div>
           </div>
         </div>
Index: trunk/phpgwapi/templates/default/navbar.tpl
===================================================================
--- trunk/phpgwapi/templates/default/navbar.tpl	(revision 1247)
+++ trunk/phpgwapi/templates/default/navbar.tpl	(revision 1860)
@@ -103,5 +103,5 @@
   		<a href="#" title="{title_suggestions}" alt="{title_suggestions}" onmouseover="javascript:self.status='{title_suggestions}'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(400,550,'{dir_root}/help/enviasugestao.php')"><img src="{dir_root}/phpgwapi/templates/{template}/images/critic.png"><font id="links_bar">{suggestions}</font></a>
   		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-  		<a href="#" title="{title_help}" alt="{title_help}" onmouseover="javascript:self.status='{title_help}'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(480,510,'{dir_root}/help')"><img src="{dir_root}/phpgwapi/templates/{template}/images/help.png"><font id="links_bar">{help}</font></a>
+  		<a href="#" title="{title_help}" alt="{title_help}" onmouseover="javascript:self.status='{title_help}'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(480,510,'{dir_root}/help')"><img src="{dir_root}/phpgwapi/templates/{template}/images/help.png" width="16px"><font id="links_bar">{help}</font></a>
   </td>
  </tr>
Index: trunk/phpgwapi/templates/default/help.php
===================================================================
--- trunk/phpgwapi/templates/default/help.php	(revision 1151)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<?php
-
-$GLOBALS['phpgw_info']['flags'] = array(
-	'disable_Template_class' => True,
-	'login'                  => True,
-	'currentapp'             => 'login',
-	'noheader'               => True
-);
-	require_once('../../../header.inc.php');
-	$GLOBALS['phpgw_info']['server']['template_dir'] = PHPGW_SERVER_ROOT . '/phpgwapi/templates/' . $GLOBALS['phpgw_info']['login_template_set'];
-	$tmpl = CreateObject('phpgwapi.Template', $GLOBALS['phpgw_info']['server']['template_dir']);
-	$tmpl->set_file(array('login_form' => 'help.tpl'));
-	$tmpl->set_var('website_title', $GLOBALS['phpgw_info']['server']['site_title']);
-        $tmpl->set_var('template_set',$GLOBALS['phpgw_info']['login_template_set']);
-	$GLOBALS['phpgw']->translation->init();
-	$GLOBALS['phpgw']->translation->add_app('loginhelp');
-	$GLOBALS['phpgw']->translation->add_app('loginhelp',$_GET['lang']);
-	if(lang('loginhelp_message') != 'loginhelp_message*')
-	{
-		$tmpl->set_var('login_help',lang('loginhelp_message'));
-	}
-	$tmpl->pfp('loginout','login_form');
-?>
-
Index: trunk/help.php
===================================================================
--- trunk/help.php	(revision 1860)
+++ trunk/help.php	(revision 1860)
@@ -0,0 +1,24 @@
+<?php
+
+$GLOBALS['phpgw_info']['flags'] = array(
+	'disable_Template_class' => True,
+	'login'                  => True,
+	'currentapp'             => 'login',
+	'noheader'               => True
+);
+	require_once('./header.inc.php');
+	$GLOBALS['phpgw_info']['server']['template_dir'] = PHPGW_SERVER_ROOT . '/phpgwapi/templates/' . $GLOBALS['phpgw_info']['login_template_set'];
+	$tmpl = CreateObject('phpgwapi.Template', $GLOBALS['phpgw_info']['server']['template_dir']);
+	$tmpl->set_file(array('login_form' => 'help.tpl'));
+	$tmpl->set_var('website_title', $GLOBALS['phpgw_info']['server']['site_title']);
+    $tmpl->set_var('template_set',$GLOBALS['phpgw_info']['login_template_set']);
+	$GLOBALS['phpgw']->translation->init();
+	$GLOBALS['phpgw']->translation->add_app('loginhelp');
+	$GLOBALS['phpgw']->translation->add_app('loginhelp',$_GET['lang']);
+	if(lang('loginhelp_message') != 'loginhelp_message*')
+	{
+		$tmpl->set_var('login_help',lang('loginhelp_message'));
+	}
+	$tmpl->pfp('loginout','login_form');
+?>
+