Index: /sandbox/filemanager/setup/phpgw_pt-br.lang
===================================================================
--- /sandbox/filemanager/setup/phpgw_pt-br.lang	(revision 1889)
+++ /sandbox/filemanager/setup/phpgw_pt-br.lang	(revision 1920)
@@ -165,5 +165,5 @@
 Resume	filemanager	pt-br	Currículo
 Impossible to edit this file	filemanager	pt-br	Impossível editar o arquivo selecionado
-Your quota has exceeded the limit	filemanager	pt-br	Sua cota excedeu o limite
+it was not possible to send your file	filemanager	pt-br	Não foi possível enviar seu arquivo
 Please, type a strong password (suggestion: at least 8 characters, letters and numbers) or leave it empty to archive only	filemanager	pt-br	Por favor, digite uma senha segura (sugestão: pelo menos 8 caracteres com letras e números) ou deixe o campo vazio para somente arquivar
 Please, retype your password	filemanager	pt-br	Por favor, redigite sua senha
Index: /sandbox/filemanager/inc/upload.php
===================================================================
--- /sandbox/filemanager/inc/upload.php	(revision 1910)
+++ /sandbox/filemanager/inc/upload.php	(revision 1920)
@@ -150,5 +150,5 @@
 				}
 				else{
-					$return[] = lang('Error:').lang('Your quota has exceeded the limit');
+					$return[] = lang('Error:').lang('It was not possible to send your file');
 				}
 
Index: /sandbox/filemanager/js/draw_api.js
===================================================================
--- /sandbox/filemanager/js/draw_api.js	(revision 1896)
+++ /sandbox/filemanager/js/draw_api.js	(revision 1920)
@@ -232,6 +232,6 @@
 		retBuff += '<input name="fileman" value="'+file.name+'" type="checkbox"></td>';
 		if (permissions['private']) {
-			retBuff += '<td><img id="restrict_'+file.name+'" onclick="setRestricted(\''+file.name+'\')" ';
-			retBuff += 'src="'+templatePath+'images/button_'+(file.pub == '1'?'lock':'unlock')+'.png"></td>';
+			retBuff += '<td><div id="restrict_'+file.name+'" onclick="setRestricted(\''+file.name+'\')" ';
+                        retBuff += 'style="background-image:url('+templatePath+'images/button_'+(file.pub == '1'?'lock':'unlock')+'.png);background-repeat: repeat-none;width:15px;height:12px;"></div></td>';
 		}
 		else
@@ -241,18 +241,18 @@
 		{
 			case 'text/html':
-				retBuff += '<td><a href="./index.php?menuaction=filemanager.uifilemanager.export&file='+base64_encode(file.name)+'&path='+base64_encode(currentPath)+'"><img alt="'+get_lang('export')+'" title="'+get_lang('export')+'" src="'+templatePath+'images/button_export.png"></a></td>';
+				retBuff += '<td><a href="./index.php?menuaction=filemanager.uifilemanager.export&file='+base64_encode(file.name)+'&path='+base64_encode(currentPath)+'"><div alt="'+get_lang('export')+'" title="'+get_lang('export')+'" style="background-image:url('+templatePath+'images/button_export.png);background-repeat: repeat-none;width:13px;height:12px;"></div></a></td>';
 				break;
 			case 'application/zip':
-				retBuff += '<td><a href="javascript:unarchive(\''+file.name+'\')"><img alt="'+get_lang('unarchive')+'" title="'+get_lang('unarchive')+'" src="'+templatePath+'images/button_export.png"></a></td>'
+				retBuff += '<td><a href="javascript:unarchive(\''+file.name+'\')"><div alt="'+get_lang('unarchive')+'" title="'+get_lang('unarchive')+'" style="background-image:url('+templatePath+'images/button_export.png);background-repeat: repeat-none;width:13px;height:12px;"></a></td>'
 				break;
 			default:
 				retBuff += '<td></td>';
 		}
-		retBuff += fl.td+'<img src="'+(file.icon)+'">';
+		retBuff += fl.td+'<div style="background-image:url('+(file.icon)+'); background-repeat: no-repeat; height:16px; padding-left: 18px; overflow: hidden;">';
 		if((file.mime).toUpperCase().indexOf('IMAGE') == 0)
 			var mousefunc = 'draw_card(\'preview\',\''+file.name+'\')'
 		else
 			var mousefunc = 'hide_card()';
-		retBuff += '<a onmouseover="'+mousefunc+'" id="name_'+file.name+'" href="./index.php?menuaction=filemanager.uifilemanager.view&file='+base64_encode(file.name)+'&path='+base64_encode(currentPath)+'" target="_blank">'+file.name+'</a>&nbsp;</td>';
+		retBuff += '<a onmouseover="'+mousefunc+'" id="name_'+file.name+'" href="./index.php?menuaction=filemanager.uifilemanager.view&file='+base64_encode(file.name)+'&path='+base64_encode(currentPath)+'" target="_blank">'+file.name+'</a></div></td>';
 		if (preferences.mime_type =='1') retBuff += fl.td+file.mime+'</td>';
 		if (preferences.size =='1') retBuff += fl.td+borkb(file.size)+'</td>';
Index: /sandbox/filemanager/js/handler.js
===================================================================
--- /sandbox/filemanager/js/handler.js	(revision 1889)
+++ /sandbox/filemanager/js/handler.js	(revision 1920)
@@ -75,12 +75,12 @@
                 returnVal = data.split('|');
                 var img_lock = document.getElementById('restrict_'+returnVal[1]);
-                if (img_lock.src.indexOf('button_unlock') > 0)
+                if (img_lock.style.backgroundImage.indexOf('button_unlock') > 0)
                 {
-                        img_lock.src = img_lock.src.replace(/button_unlock/g,'button_lock');
+                        img_lock.style.backgroundImage = img_lock.style.backgroundImage.replace(/button_unlock/g,'button_lock');
                         write_msg(get_lang('%1 marked as restricted',returnVal[1]));
                 }
                 else
                 {
-                        img_lock.src = img_lock.src.replace(/button_lock/g,'button_unlock');
+                        img_lock.style.backgroundImage = img_lock.style.backgroundImage.replace(/button_lock/g,'button_unlock');
                         write_msg(get_lang('%1 unmarked as restricted',returnVal[1]));
                 }